// SimpleLineDlg.cpp : implementation file
//

#include "stdafx.h"
#include "SimpleLine.h"
#include "SimpleLineDlg.h"
#include "math.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	enum { IDD = IDD_ABOUTBOX };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
END_MESSAGE_MAP()


// CSimpleLineDlg dialog




CSimpleLineDlg::CSimpleLineDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSimpleLineDlg::IDD, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CSimpleLineDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_STATIC1, m_fr); // see
}

BEGIN_MESSAGE_MAP(CSimpleLineDlg, CDialog)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


// CSimpleLineDlg message handlers

BOOL CSimpleLineDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	// TODO: Add extra initialization here

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CSimpleLineDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CSimpleLineDlg::OnPaint()
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
    // see:
 		CRect rect;
    CDC* pCDCfr = m_fr.GetDC();
    m_fr.GetClientRect(&rect);
    // Line:
    pCDCfr->MoveTo(rect.left+10, rect.bottom-10);
    pCDCfr->LineTo(rect.right-10, rect.top+10);
    // Circle:
    int xc=(rect.left+rect.right)/2;
    int yc=(rect.top+rect.bottom)/2;
    int r=(-rect.top+rect.bottom)/5 + (rect.right-rect.left)/5;
    for(int m=0; m<13; m++)
    pCDCfr->LineTo(xc+r*cos(m/2.0), yc-r*sin(m/2.0));
    // Text:
    int x=rect.left+150, y=rect.top+150;
    pCDCfr->MoveTo(x, y);
    pCDCfr->LineTo(x, y-=40);
    pCDCfr->LineTo(x+=20, y+=20);
    pCDCfr->LineTo(x+=20, y-=20);
    pCDCfr->LineTo(x, y+=40);
    pCDCfr->MoveTo(x+=50, y+=100);
    pCDCfr->LineTo(x+=10, y+=20);
    pCDCfr->LineTo(x-=10, y+=20);
    pCDCfr->LineTo(x+=10, y-=20);
    pCDCfr->LineTo(x+=10, y);
    pCDCfr->LineTo(x, y+=20);
    pCDCfr->LineTo(x, y-=40);
    pCDCfr->LineTo(x, y+=20);
    pCDCfr->LineTo(x+=10, y);
    pCDCfr->LineTo(x+=10, y-=20);
    pCDCfr->LineTo(x-=10, y+=20);
    pCDCfr->LineTo(x+=10, y+=20);
    ReleaseDC(pCDCfr);
    // end see;
	}
}

// The system calls this function to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CSimpleLineDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}

